Package org.apache.ignite.internal.cluster

## Interface ClusterGroupEx

All Superinterfaces:
  `ClusterGroup`

All Known Subinterfaces:
  `IgniteClusterEx`

All Known Implementing Classes:
  `ClusterGroupAdapter`, `IgniteClusterImpl`

    public interface ClusterGroupEx
    extends ClusterGroup

Internal projection interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClusterGroup` `forCacheNodes​(String cacheName, boolean affNodes, boolean nearNodes, boolean clientNodes)`

### Methods inherited from interface org.apache.ignite.cluster.ClusterGroup

`forAttribute, forCacheNodes, forClientNodes, forClients, forDataNodes, forHost, forHost, forNode, forNodeId, forNodeIds, forNodes, forOldest, forOthers, forOthers, forPredicate, forRandom, forRemotes, forServers, forYoungest, hostNames, ignite, metrics, node, node, nodes, predicate`

### Method Detail

#### forCacheNodes

    ClusterGroup forCacheNodes​(String cacheName,
                               boolean affNodes,
                               boolean nearNodes,
                               boolean clientNodes)

Parameters:
  `cacheName` - Cache name.
  `affNodes` - Flag to include affinity nodes.
  `nearNodes` - Flag to include near nodes.
  `clientNodes` - Flag to include client nodes.
Returns:
  Cluster group.